Skip to content
Hexel StudioDocs

Create or replace a trigger

PUT/harness/triggers/{name}

Its tasks are created as the caller, who must be able to create tasks here.

Headers

Bearer <token>. A Hexel Studio access token for your organization.

The workspace the request acts in (ws_...). It never grants access by itself.

The environment the request acts in (env_...). It never grants access by itself.

Body parameters

agentstring
goalstring
inputsoptional object
descriptionoptional string
scheduleoptional object

Returns

200Replaced.Trigger

created_atstringdate-time
namestring
paused_reasonoptional string
routine_erroroptional string
schedulesoptional array of RoutineTrigger
stateoptional string
targetoptional any

Any JSON value.

updated_atstringdate-time

Errors

  • default